> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Cost estimate

> Estimate cost of action execution



## OpenAPI

````yaml /openapi.json post /api/v1/wallet/{id}/cost
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/wallet/{id}/cost:
    post:
      tags:
        - Wallet Route
      summary: Cost estimate
      description: Estimate cost of action execution
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ToAmountDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EstimatedCost'
      security:
        - SecurityScheme: []
components:
  schemas:
    ToAmountDto:
      required:
        - to
        - amount
      type: object
      properties:
        to:
          description: The direct address of the wallet
          type: string
        amount:
          description: Amount of withdraw
          type: integer
    EstimatedCost:
      type: object
      properties:
        cost:
          type: integer
        price:
          type: integer
        tip:
          type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````